Commit 58fe79ee authored by Dan McGee's avatar Dan McGee
Browse files

* Fix bug where 'makepkg -L' doesn't stop on build failure.

  Andrew Fyfe <andrew@neptune-one.net>
* Add testing to etc/pacman.d/.cvsignore
* Fix scriptlet001.py test to work during 'make check'.
parent a07b4903
......@@ -6,3 +6,4 @@ extra
mirrorlist
release
unstable
testing
......@@ -8,7 +8,8 @@
p1.install['post_install'] = "ls /etc";
self.addpkg(p1)
self.args = "-U %s" % p1.filename()
# --debug is necessary to check PACMAN_OUTPUT
self.args = "--debug -U %s" % p1.filename()
self.addrule("PACMAN_RETCODE=0")
self.addrule("PACMAN_OUTPUT=pre_install")
......
......@@ -883,6 +883,7 @@ else
echo $SHELLOPTS | grep errexit 2>&1 >/dev/null
set_e=$?
ret=0
if [ "$LOGGING" = "1" ]; then
BUILDLOG="${startdir}/${pkgname}-${pkgver}-${pkgrel}-${CARCH}.log"
if [ -f "$BUILDLOG" ]; then
......@@ -899,24 +900,18 @@ else
#use 'errexit' to bail on syntax error
[ $set_e -eq 1 ] && set -e
build 2>&1 | tee "$BUILDLOG"
build 2>&1 | tee "$BUILDLOG"; ret=${PIPESTATUS[0]}
[ $set_e -eq 1 ] && set +e
if [ ${PIPESTATUS[0]} -gt 0 ]; then
error "Build Failed. Aborting..."
removedeps
exit 2
fi
else
#use 'errexit' to bail on syntax error
[ $set_e -eq 1 ] && set -e
build 2>&1
build 2>&1 || ret=$?
[ $set_e -eq 1 ] && set +e
if [ $? -gt 0 ]; then
error "Build Failed. Aborting..."
removedeps
exit 2
fi
fi
if [ $ret -gt 0 ]; then
error "Build Failed. Aborting..."
removedeps
exit 2
fi
fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment